#
# spec file for package alsa-oss
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           alsa-oss
BuildRequires:  alsa-devel
BuildRequires:  libtool
%define package_version	1.0.25
Summary:        ALSA-OSS Wrapper
License:        GPL-2.0+
Group:          System/Libraries
Version:        1.0.25
Release:        2.1
Source:         ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-%{package_version}.tar.bz2
Source2:        baselibs.conf
# Patch:          alsa-oss-hg-fixes.diff
Url:            http://www.alsa-project.org/
%ifarch x86_64 s390x
Recommends:     %{name}-32bit = %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the wrapper library and script to run OSS
applications using ALSA API.

%prep
%setup -q -n %{name}-%{package_version}
# %patch -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/libalsatoss.so
rm -f $RPM_BUILD_ROOT%{_includedir}/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING
# .so must be in the main package because aoss requires it
%{_libdir}/libaoss.so*
%{_libdir}/libalsatoss.so.*
%{_bindir}/*
%doc %{_mandir}/man*/*

%changelog
* Wed Jan 25 2012 tiwai@suse.de
- updated to version 1.0.25;
  pcm: check for XRUN state for GETxSPACE and GETxPTR ioctls
  select: better check for null bit arrays
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Tue Jul 15 2008 tiwai@suse.de
- updated to version 1.0.17:
  * just a version bump
* Thu May 15 2008 olh@suse.de
- remove unneeded Recommends: -64bit on ppc (bnc#390761)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Fri Mar  7 2008 sbrabec@suse.cz
- Added bi-arch counterpart Recommends to prevent arch clashes
  (bnc#117079#c14).
* Tue Oct 16 2007 tiwai@suse.de
- updated to version 1.0.15:
  * Fix dsp->oss_format setting
* Thu May 31 2007 tiwai@suse.de
- updated to version 1.0.14-final
  just version number changes.
* Wed May  2 2007 tiwai@suse.de
- updated to version 1.0.14rc4:
  including HG fixes since 1.0.12
* Mon Apr 16 2007 tiwai@suse.de
- split from alsa package.
